Subject: bug#43668: Daemon tries to build GNU/Hurd derivations on GNU/Linux

From: Jan Nieuwenhuizen <[email-masked]>
Date: Tue, 29 Sep 2020 13:55:50 +0200

Ludovic Courtès writes:

Hi!

> Jan Nieuwenhuizen <[email-masked]> skribis:
>
>>> Ludovic Courtès <[email-masked]> skribis:
>>>
>> Displaying notes found in: .note.ABI-tag
>>   Owner                Data size 	Description
>>   GNU                  0x00000010	NT_GNU_ABI_TAG (ABI version tag)
>>     OS: Hurd, ABI: 0.0.0
>
> Oh, well done, I browsed ‘file’ but didn’t find it.

:-)

>>> So I think we can’t count on an ‘execve’ error and thus have to treat
>>> this case (same architecture but different OS kernel) specially, as
>>> shown below.
>>>
>>> Thoughts?
>>
>> If that really doesn't work...then yeah (yuck ;-)
>
> Yeah, I think we’ll have to do this hack (we’re not going to parse ELF
> files and all to determine whether to call ‘execve’.)

Ah, we're C++; I was thinking Guile and "we surely have" an ELF library.
That's allright then.  Let's have this workaround.

> (Besides, it would be interesting to understand how the libc/Hurd
> startup code ends up segfaulting on GNU/Linux.)

Hmm...are you saying something like "it could run until it wants to RCP
Mach or Hurd?"  Might it "just load" shared libraries...

Greetings,
Janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com